summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-18 14:10:26 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-18 14:10:26 -0500
commitd0d260eb45c93f5003373c474b2fa54b8ba91032 (patch)
treefa8fb1968b55dc08f055fe5f6a5132637707abd0 /system
parent6de99e52d075f17a44a7f85c94c9be73deca0ec0 (diff)
downloadslackbuilds-d0d260eb45c93f5003373c474b2fa54b8ba91032.tar.gz
slackbuilds-d0d260eb45c93f5003373c474b2fa54b8ba91032.tar.xz
system/ulogd: Miscellaneous script cleanup.
Diffstat (limited to 'system')
-rw-r--r--system/ulogd/rc.ulogd1
-rw-r--r--system/ulogd/ulogd.SlackBuild24
2 files changed, 17 insertions, 8 deletions
diff --git a/system/ulogd/rc.ulogd b/system/ulogd/rc.ulogd
index 52ba800d53..d5097b29be 100644
--- a/system/ulogd/rc.ulogd
+++ b/system/ulogd/rc.ulogd
@@ -35,3 +35,4 @@ case "$1" in
*)
echo "usage $0 start|stop|restart"
esac
+
diff --git a/system/ulogd/ulogd.SlackBuild b/system/ulogd/ulogd.SlackBuild
index 28dfb97ae0..c2acea1d45 100644
--- a/system/ulogd/ulogd.SlackBuild
+++ b/system/ulogd/ulogd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ulogd
-# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
+# Copyright 2006,2007,2008,2009,2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,19 @@
PRGNAM=ulogd
VERSION=1.24
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-4}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,6 +51,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -77,12 +89,8 @@ sed -i 's%-rdynamic %%' Rules.make
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
install -D -m 0755 $CWD/rc.ulogd $PKG/etc/rc.d/rc.ulogd.new
mv $PKG/etc/ulogd.conf $PKG/etc/ulogd.conf.new